/* (C) 2023 YiRing, Inc. */
package com.yiring.common.snowflake;

import cn.hutool.core.lang.Snowflake;
import cn.hutool.core.util.IdUtil;
import java.io.Serializable;
import java.util.Properties;
import org.hibernate.HibernateException;
import org.hibernate.MappingException;
import org.hibernate.engine.spi.SharedSessionContractImplementor;
import org.hibernate.id.IdentifierGenerator;
import org.hibernate.service.ServiceRegistry;
import org.hibernate.type.Type;
import org.springframework.stereotype.Component;

/**
 * 基于雪花算法的 ID 生成器
 * 生成 String 类型
 *
 * @author ifzm
 * @version 0.1
 * 2020/1/14 16:18
 */

@Component
public class GenerateStringId implements IdentifierGenerator {

    private Snowflake snowflake;

    @Override
    public Serializable generate(SharedSessionContractImplementor session, Object object) throws HibernateException {
        return snowflake.nextIdStr();
    }

    @Override
    public void configure(Type type, Properties params, ServiceRegistry serviceRegistry) throws MappingException {
        snowflake = IdUtil.getSnowflake();
    }
}
