/* (C) 2022 YiRing, Inc. */
package com.yiring.common.annotation;

import java.lang.annotation.*;

/**
 * 耗时计算注解
 *
 * @author Jim
 * @version 0.1
 * 2022/4/7 15:21
 */

@SuppressWarnings({ "unused" })
@Target({ ElementType.METHOD })
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface Times {
    /**
     * 描述
     */
    String value() default "";

    /**
     * 阈值（毫秒），当计算耗时超过阈值时，打印警告日志
     */
    long threshold() default 0;
}
